Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Interface MonoLibrary.MonoTokenType

Enclosing interface:
  MonoLibrary

    public static interface MonoLibrary.MonoTokenType

native declaration : mono\metadata\tokentype.h
enum values

Field Summary
`static int` | `MONO_TOKEN_ASSEMBLY`
`static int` | `MONO_TOKEN_ASSEMBLY_REF`
`static int` | `MONO_TOKEN_BASE_TYPE`
`static int` | `MONO_TOKEN_CUSTOM_ATTRIBUTE`
`static int` | `MONO_TOKEN_EVENT`
`static int` | `MONO_TOKEN_EXPORTED_TYPE`
`static int` | `MONO_TOKEN_FIELD_DEF`
`static int` | `MONO_TOKEN_FILE`
`static int` | `MONO_TOKEN_GENERIC_PARAM`
`static int` | `MONO_TOKEN_INTERFACE_IMPL`
`static int` | `MONO_TOKEN_MANIFEST_RESOURCE`
`static int` | `MONO_TOKEN_MEMBER_REF`
`static int` | `MONO_TOKEN_METHOD_DEF`
`static int` | `MONO_TOKEN_METHOD_SPEC`
`static int` | `MONO_TOKEN_MODULE`
`static int` | `MONO_TOKEN_MODULE_REF`
`static int` | `MONO_TOKEN_NAME`
`static int` | `MONO_TOKEN_PARAM_DEF`
`static int` | `MONO_TOKEN_PERMISSION`
`static int` | `MONO_TOKEN_PROPERTY`
`static int` | `MONO_TOKEN_SIGNATURE`
`static int` | `MONO_TOKEN_STRING`
`static int` | `MONO_TOKEN_TYPE_DEF`
`static int` | `MONO_TOKEN_TYPE_REF`
`static int` | `MONO_TOKEN_TYPE_SPEC`

Field Detail

### MONO_TOKEN_MODULE

    static final int MONO_TOKEN_MODULE

See Also:
  Constant Field Values

### MONO_TOKEN_TYPE_REF

    static final int MONO_TOKEN_TYPE_REF

See Also:
  Constant Field Values

### MONO_TOKEN_TYPE_DEF

    static final int MONO_TOKEN_TYPE_DEF

See Also:
  Constant Field Values

### MONO_TOKEN_FIELD_DEF

    static final int MONO_TOKEN_FIELD_DEF

See Also:
  Constant Field Values

### MONO_TOKEN_METHOD_DEF

    static final int MONO_TOKEN_METHOD_DEF

See Also:
  Constant Field Values

### MONO_TOKEN_PARAM_DEF

    static final int MONO_TOKEN_PARAM_DEF

See Also:
  Constant Field Values

### MONO_TOKEN_INTERFACE_IMPL

    static final int MONO_TOKEN_INTERFACE_IMPL

See Also:
  Constant Field Values

### MONO_TOKEN_MEMBER_REF

    static final int MONO_TOKEN_MEMBER_REF

See Also:
  Constant Field Values

### MONO_TOKEN_CUSTOM_ATTRIBUTE

    static final int MONO_TOKEN_CUSTOM_ATTRIBUTE

See Also:
  Constant Field Values

### MONO_TOKEN_PERMISSION

    static final int MONO_TOKEN_PERMISSION

See Also:
  Constant Field Values

### MONO_TOKEN_SIGNATURE

    static final int MONO_TOKEN_SIGNATURE

See Also:
  Constant Field Values

### MONO_TOKEN_EVENT

    static final int MONO_TOKEN_EVENT

See Also:
  Constant Field Values

### MONO_TOKEN_PROPERTY

    static final int MONO_TOKEN_PROPERTY

See Also:
  Constant Field Values

### MONO_TOKEN_MODULE_REF

    static final int MONO_TOKEN_MODULE_REF

See Also:
  Constant Field Values

### MONO_TOKEN_TYPE_SPEC

    static final int MONO_TOKEN_TYPE_SPEC

See Also:
  Constant Field Values

### MONO_TOKEN_ASSEMBLY

    static final int MONO_TOKEN_ASSEMBLY

See Also:
  Constant Field Values

### MONO_TOKEN_ASSEMBLY_REF

    static final int MONO_TOKEN_ASSEMBLY_REF

See Also:
  Constant Field Values

### MONO_TOKEN_FILE

    static final int MONO_TOKEN_FILE

See Also:
  Constant Field Values

### MONO_TOKEN_EXPORTED_TYPE

    static final int MONO_TOKEN_EXPORTED_TYPE

See Also:
  Constant Field Values

### MONO_TOKEN_MANIFEST_RESOURCE

    static final int MONO_TOKEN_MANIFEST_RESOURCE

See Also:
  Constant Field Values

### MONO_TOKEN_GENERIC_PARAM

    static final int MONO_TOKEN_GENERIC_PARAM

See Also:
  Constant Field Values

### MONO_TOKEN_METHOD_SPEC

    static final int MONO_TOKEN_METHOD_SPEC

See Also:
  Constant Field Values

### MONO_TOKEN_STRING

    static final int MONO_TOKEN_STRING

See Also:
  Constant Field Values

### MONO_TOKEN_NAME

    static final int MONO_TOKEN_NAME

See Also:
  Constant Field Values

### MONO_TOKEN_BASE_TYPE

    static final int MONO_TOKEN_BASE_TYPE

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD